Skip to end of metadata
Go to start of metadata

Problem

During the installation of a plugin, an error message appears. This article lists several error messages and their solution:

Error: unzip: cannot find zipfile directory, or

Error: Error while extracting from plugin archive

This error may occur, if you have uploaded the plugin with the Browse button. LoxBerry received defective data from your webbrowser and therefore cannot unzip the plugin archive.

Correction

  • Instead of using the Browse button, use the url field below. In the plugin archive in this wiki, most of the plugins have the direct download url in there summary table at the top. Copy the link and paste it to the url field in the plugin management widget. and install the plugin. (in this case, LoxBerry itself downloads the given url from the server).
  • Try another webbrowser. On some webbrowsers we got informed that the upload feature does not work as expected.

Error: Minimal required LoxBerry version is greater than current LoxBerry version. Cannot install.

Every plugin can request a minimum version of LoxBerry to make sure that all LoxBerry features are available that the plugin needs. Your LoxBerry version is lower than the plugin requires.

Correction

Update your LoxBerry to the latest Release version with LoxBerry Update.


Error: Could not open plugin database or database does not exist

LoxBerry manages it's installed plugins and it's settings in a database. During the installation, the new plugin is added to the plugin database. If LoxBerry cannot open or cannot find the plugin database, this error occurs.

"Loosing" the plugin database is an issue we know about, but we could not figure out it's reason. It happens not very often and we could not reproduce the behaviour.

Correction attempt

LoxBerry backups the plugin database twice. This is the guide to recover one of these backups:


  • Logon to the shell, and run su to get root user. (German: Eine SSH-Verbindung mit putty aufbauen / Shell-Zugriff)
  • Change to the directory /opt/loxberry/data/system:  cd /opt/loxberry/data/system
  • Check if any of the plugindatabase files is available: ls -l plugindatabase*
  • If the file plugindatabase.dat is missing, or has 0 bytes, it seems to be corrupted.
  • If the file plugindatabase.bkp is available and does not have 0 bytes:
    • Copy this backup over the original database file: cp plugindatabase.bkp plugindatabase.dat
  • If also the first backup is corrupted: :
    • Copy the second backup plugindatabase.dat- : cp plugindatabase.dat- plugindatabase.dat

Next refresh the plugin management widget in your webbrowser. All plugins should be listed.